Name:           athena-purple-base
Version:        11.76bdcda
Release:        1%{?dist}
Summary:        Purple colorbase resources for Athena OS

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/athena-purple-base
Source0:        https://github.com/Athena-OS/athena-purple-base/archive/main/%{name}-main.tar.gz

BuildArch:      noarch

%description
This package provides purple color-themed resources (icons and wallpapers) for Athena OS.
It includes wallpapers and GNOME-compatible background settings.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
# Install wallpapers
install -dm 755 %{buildroot}/usr/share/backgrounds/athena
install -Dm 644 wallpapers/neon-circle.jpg %{buildroot}/usr/share/backgrounds/athena/
install -Dm 644 wallpapers/nix-neon-circle.jpg %{buildroot}/usr/share/backgrounds/athena/

# Install icons
install -dm 755 %{buildroot}/usr/share/%{name}/icons/apps
install -dm 755 %{buildroot}/usr/share/%{name}/icons/categories
cp -a icons/apps/* %{buildroot}/usr/share/%{name}/icons/apps/
cp -a icons/categories/* %{buildroot}/usr/share/%{name}/icons/categories/

# GNOME background XMLs
install -dm 755 %{buildroot}/usr/share/gnome-background-properties
install -Dm 644 gnome-background-properties/neon-circle.xml %{buildroot}/usr/share/gnome-background-properties/
install -Dm 644 gnome-background-properties/nix-neon-circle.xml %{buildroot}/usr/share/gnome-background-properties/

%files
%license LICENSE
/usr/share/backgrounds/athena/*
/usr/share/%{name}
/usr/share/gnome-background-properties/*

%changelog
* Mon Apr 21 2025 02:45 Little Owl <littleowl@athenaos.org>
- Synced with upstream
